tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: mksh import

On Sat, Jan 01, 2011 at 12:29:36PM -0500, Alex Goncharov wrote:
> ,--- You/Joerg (Sat, 1 Jan 2011 16:47:07 +0100) ----*
> | Bash is not even compatible with the rest of the GNU shell tools. How
> | else would you explain that the test builtin and /usr/bin/test from
> | coretuils are not compatible?
> Why is this important?

Because I expect tools from the same vendor (GNU in this case) to behave
consistently. But more importantly, because this feature is the most
common bashism that has *no* justification what so ever. It is just
completely useful.


Home | Main Index | Thread Index | Old Index